classification
Title: Typo in Doc/license.rst
Type: Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: brian.curtin, docs@python, ezio.melotti, jwilk, python-dev, sandro.tosi, tim.golden
Priority: normal Keywords: patch

Created on 2011-08-16 16:41 by jwilk, last changed 2011-10-29 18:37 by petri.lehtinen. This issue is now closed.

Files
File name Uploaded Description Edit
patch.diff gennad, 2011-08-16 17:26
Messages (5)
msg142205 - (view) Author: Jakub Wilk (jwilk) Date: 2011-08-16 16:41
"The zlib extension is built using an included copy of the zlib sources unless the zlib version found on the system is too old to be used for the build"

I believe it should be "if" rather than "unless".
msg142211 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-08-16 18:10
New changeset 80ac94ad381e by Sandro Tosi in branch '2.7':
#12761: fix wording of zlib license section
http://hg.python.org/cpython/rev/80ac94ad381e

New changeset 16a02530fd81 by Sandro Tosi in branch '3.2':
#12761: fix wording of zlib license section
http://hg.python.org/cpython/rev/16a02530fd81
msg142213 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2011-08-16 18:13
Thanks Jakub for the report and Gennadiy for the patch (that I applied on all the active braches).
msg142370 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2011-08-18 17:01
After a closer look (thanks Ezio), the proper patch should be something like:


diff --git a/Doc/license.rst b/Doc/license.rst
--- a/Doc/license.rst
+++ b/Doc/license.rst
@@ -874,9 +874,8 @@
 zlib
 ----
 
-The :mod:`zlib` extension is built using an included copy of the zlib
-sources if the zlib version found on the system is too old to be
-used for the build::
+The :mod:`zlib` extension is built using the zlib version found on the system,
+but an included copy of the zlib sources is shipped for the Windows build::
 
   Copyright (C) 1995-2011 Jean-loup Gailly and Mark Adler


because the embedded zlib is not used in the linux build (but always the system one, and if absent, no zlib module is built) while we have several references of Modules/zlib/ files in PC/VC* and PCbuild/*.vcproj (that I can't read); adding to nosy the windows expert to have their opinion.
msg143483 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-09-04 06:41
New changeset 5b21312c3800 by Sandro Tosi in branch '3.2':
#12761: fix wording of zlib license section
http://hg.python.org/cpython/rev/5b21312c3800
History
Date User Action Args
2011-10-29 18:37:54petri.lehtinensetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2011-09-04 06:42:00python-devsetmessages: + msg143483
2011-08-18 17:01:57sandro.tosisetstatus: closed -> open

nosy: + tim.golden, brian.curtin
messages: + msg142370

resolution: fixed -> (no value)
stage: resolved -> patch review
2011-08-16 18:13:46sandro.tosisetstatus: open -> closed
resolution: fixed
messages: + msg142213

stage: commit review -> resolved
2011-08-16 18:10:41python-devsetnosy: + python-dev
messages: + msg142211
2011-08-16 17:58:23sandro.tosisetnosy: + ezio.melotti, sandro.tosi
stage: commit review

versions: + Python 3.2, Python 3.3
2011-08-16 17:26:32gennadsetfiles: + patch.diff
keywords: + patch
2011-08-16 17:05:02gennadsetassignee: docs@python

components: + Documentation
nosy: + docs@python
2011-08-16 16:41:40jwilkcreate